#!/bin/sh
# submake.sh
# Invoked from within Makefile to process all decendents.
# We put this in a script instead of in the makefile so that it can
# be easily and quickly invoked from within many makefile targets.
# We take from the environment:
#	MAKE			Name of make program
#	Package			My package name
#	MakePackages		Sub-packages of this package to make
#	MakeTargets		Targets to make in each $MakePackages
#
# Note: the "Making" and "Finish" echo's arnt need in the newest versions
# of gnumake.

# echo "submake: $SHELL $MAKE $MakeTargets"

for p in $MakePackages; do
    if [ -d $p ] ; then
#	echo "Making $MakeTargets in $Package/$p ..."
	( chdir $p ; Package= PackageType= Packages= TestPackages= Custom_SrcFiles= $MAKE $MakeTargets )
#	echo "Finish $MakeTargets in $Package/$p."
    else
	echo "Skipping $Package/$p"
    fi
done
