#if !defined(_EEMJEF_H_)
#define _EEMJEF_H_ 1
/* 
    RCS: $Header: /vol/cooley/cooley1/kennard/src/eem/RCS/eemJef.h,v 1.18 93/08/27 14:29:21 kennard Exp $
    Author: Mei-Tjng Huang & Kennard White

    Copyright (c) 1990-93 The Regents of the University of California.
    All rights reserved.  See the file "./copyright.h" for full copyright
    notice, limitation of liability, and disclaimer of warranty provisions.
#include "copyright.h"				COPYRIGHTENDKEY
*/

typedef struct _EEMJefAgm EEMJefAgm;
typedef struct _EEMJef EEMJef;
typedef struct _EEMEllip EEMEllip;


#if __TOP_DEBUG__
#define EEM_JEF_Print(pkg,pJef,title) {		\
    if ( topMsgPkgDbgOnB(pkg) ) {		\
	eemJefPrint(pJef,title);		\
    }						\
}
#else
#define EEM_JEF_Print(pkg,pJef,title)	/* */
#endif

extern void		eemJefPrint( EEMJef *pJef, char *title);

extern double		eemJefCalcNome ARGS((double K, double K_prime));
extern double		eemJefCalcInvNome ARGS(( double Q));
extern double		eemJefCalcAGM ARGS((EEMJefAgm *pAgm, double m, 
			  double a0,double b0,double c0));


extern TOPStatus	eemEllipFilter ARGS((EEMSilarGrp *pSilarGrp, 
			  int N, double w_pass, double m, double delta));

extern int		eemEllipRegisterCmds ARGS_TCL((Tcl_Interp *ip));
#endif /* _EEMJEF_H_ */
