/* 
    Author: Kennard White

    Copyright (c) 1990-93 The Regents of the University of California.
    All rights reserved.  See the file "./copyright.h" for full copyright
    notice, limitation of liability, and disclaimer of warranty provisions.
#include "copyright.h"				COPYRIGHTENDKEY
*/
#if !defined(lint) && !defined(SABER)
static char rcsid[] = "$Header: /vol/cooley/cooley1/kennard/src/top/RCS/topVecSort.c,v 1.2 93/08/27 14:29:16 kennard Exp $";
#endif

#include "topFixup.h"

#include "topStd.h"
#include "topMem.h"
#include "topVec.h"

void
topVecSort( TOPVector *pVec, TOPCompareFunc *compFunc) {
    qsort( pVec->Data, pVec->Num, pVec->ObSize, compFunc);
}

int _topVecSortInt( void *a, void *b) {
    int		i = *(int*)a;
    int		j = *(int*)b;
    return (i - j);
}

int _topVecSortDbl( void *a, void *b) {
    double	i = *(double*)a;
    double	j = *(double*)b;

    if (i > j)	return 1;
    if (i < j)	return -1;
    return 0;
}
