#!/bin/sh
#
# Wrapper for using xpole within the ptolemy framework.
# The ``=VERSION='' belows gets sed'd out at install time.
#
# RCS: $Header: /vol/tukey/tukey1/kennard/src/xpole/lib/RCS/para-xpole.sh,v 1.2 93/02/28 23:07:48 kennard Exp Locker: kennard $
#
bindir=`dirname $0`
PTOLEMY=${PTOLEMY-`dirname $bindir`}
ARCH=${ARCH-`$PTOLEMY/bin/arch`}
XPOLE_LIBRARY=${XPOLE_LIBRARY-$PTOLEMY/lib/xpole-=VERSION=}
TCL_LIBRARY=${TCL_LIBRARY-$PTOLEMY/tcl/tcl6.6/lib}
TK_LIBRARY=${TK_LIBRARY-$PTOLEMY/tcl/tk3.1/lib}

export PTOLEMY ARCH XPOLE_LIBRARY TCL_LIBRARY TK_LIBRARY
# The syntax below is important, and can't be duplicated in csh.
exec $PTOLEMY/bin.$ARCH/xpole-=VERSION= -name xpole "$@"
